Module java.base
Package java.nio.file

# Interface PathMatcher

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface PathMatcher
An interface that is implemented by objects that perform match operations on paths.

Since:
  1.7
See Also:
  - `FileSystem.getPathMatcher(java.lang.String)`
  - `Files.newDirectoryStream(Path,String)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(Path path)`
Tells if given path matches this matcher's pattern.

## Method Details

### matches

boolean matches(Path path)
Tells if given path matches this matcher's pattern.

Parameters:
  `path` - the path to match
Returns:
  `true` if, and only if, the path matches this matcher's pattern